summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Johannes Schoepfer <slackbuilds[AT]schoepfer[DOT]info>2016-07-25 04:40:54 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-07-25 04:40:54 +0700
commit2d3757155f464032e3b4a1b5b2544837aa2e0a4a (patch)
tree2cf05b92b08698def97f1380bbedea8592a6cf6c /system
parent6d44becc3416302019a25d82d4ca9a5c8493d472 (diff)
downloadslackbuilds-2d3757155f464032e3b4a1b5b2544837aa2e0a4a.tar.gz
slackbuilds-2d3757155f464032e3b4a1b5b2544837aa2e0a4a.tar.xz
system/letsencrypt.sh: Added (letsencrypt client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/letsencrypt.sh/README5
-rw-r--r--system/letsencrypt.sh/doinst.sh25
-rw-r--r--system/letsencrypt.sh/letsencrypt.sh.SlackBuild82
-rw-r--r--system/letsencrypt.sh/letsencrypt.sh.info10
-rw-r--r--system/letsencrypt.sh/slack-desc19
5 files changed, 141 insertions, 0 deletions
diff --git a/system/letsencrypt.sh/README b/system/letsencrypt.sh/README
new file mode 100644
index 0000000000..e86b0cdf24
--- /dev/null
+++ b/system/letsencrypt.sh/README
@@ -0,0 +1,5 @@
+This is a client for signing ssl-certificates with an ACME-server.
+-Signing of a list of domains
+-Signing of a CSR
+-Renewal if a certificate is about to expire or subdomains changed
+-Certificate revocation
diff --git a/system/letsencrypt.sh/doinst.sh b/system/letsencrypt.sh/doinst.sh
new file mode 100644
index 0000000000..7e7aa33dc1
--- /dev/null
+++ b/system/letsencrypt.sh/doinst.sh
@@ -0,0 +1,25 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/letsencrypt.sh/config.sh.new
diff --git a/system/letsencrypt.sh/letsencrypt.sh.SlackBuild b/system/letsencrypt.sh/letsencrypt.sh.SlackBuild
new file mode 100644
index 0000000000..780d2192c2
--- /dev/null
+++ b/system/letsencrypt.sh/letsencrypt.sh.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for letsencrypt.sh
+
+# Copyright 2016 Johannes Schoepfer, <slackbuilds[AT]schoepfer[DOT]info>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=letsencrypt.sh
+VERSION=${VERSION:-0.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf letsencrypt.sh-0.2.0
+tar vxf $CWD/v0.2.0.tar.gz
+cd letsencrypt.sh-0.2.0
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin/
+install -m 755 $PRGNAM $PKG/usr/bin/$PRGNAM
+mkdir -p $PKG/etc/$PRGNAM
+cp docs/examples/config.sh.example $PKG/etc/$PRGNAM/config.sh.new
+
+# cron
+mkdir -p $PKG/etc/cron.d/
+echo '0 0 * * * /usr/bin/letsencrypt.sh -c 1>/dev/null' > $PKG/etc/cron.d/letsencrypt.sh
+
+# logrotate
+mkdir $PKG/etc/logrotate.d
+cat << EOF > $PKG/etc/logrotate.d/$PRGNAM
+/var/log/$PRGNAM {
+ rotate 12
+ notifempty
+ missingok
+ monthly
+ compress
+}
+EOF
+
+# Docs
+mkdir -p $PKG/usr/doc/letsencrypt.sh-$VERSION
+mv docs/* $PKG/usr/doc/letsencrypt.sh-$VERSION/
+mv CHANGELOG LICENSE README.md $PKG/usr/doc/letsencrypt.sh-$VERSION/
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/letsencrypt.sh/letsencrypt.sh.info b/system/letsencrypt.sh/letsencrypt.sh.info
new file mode 100644
index 0000000000..e644042f15
--- /dev/null
+++ b/system/letsencrypt.sh/letsencrypt.sh.info
@@ -0,0 +1,10 @@
+PRGNAM="letsencrypt.sh"
+VERSION="0.2.0"
+HOMEPAGE="https://github.com/lukas2511/letsencrypt.sh/"
+DOWNLOAD="https://github.com/lukas2511/letsencrypt.sh/archive/v0.2.0.tar.gz"
+MD5SUM="74974ab79d6879b92ba353bbf3d1257e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Johannes Schoepfer"
+EMAIL="<slackbuilds[AT]schoepfer[DOT]info>"
diff --git a/system/letsencrypt.sh/slack-desc b/system/letsencrypt.sh/slack-desc
new file mode 100644
index 0000000000..f330e09c00
--- /dev/null
+++ b/system/letsencrypt.sh/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+letsencrypt.sh: letsencrypt.sh (letsencrypt client implemented as a shell-script)
+letsencrypt.sh:
+letsencrypt.sh: This is a client for signing ssl-certificates with an ACME-server.
+letsencrypt.sh: -Signing of a list of domains
+letsencrypt.sh: -Signing of a CSR
+letsencrypt.sh: -Renewal if a certificate is about to expire or subdomains changed
+letsencrypt.sh: -Certificate revocation
+letsencrypt.sh:
+letsencrypt.sh: https://github.com/lukas2511/letsencrypt.sh/
+letsencrypt.sh:
+letsencrypt.sh: